FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Redhat > Fedora Development

 
 
LinkBack Thread Tools
 
Old 03-15-2010, 10:35 AM
Mat Booth
 
Default Java Bindings for libnotify

Hi all,

I can't find the Java bindings for libnotify -- I thought they would
be in libgnome-java, but I guess not.

So a couple of questions for the Gnome Desktop team:

And are there plans to package java-gnome?

If not and I were to package it myself, should java-gnome obsolete
libgnome-java?

>From the website I get the impression that java-gnome supersedes
libgnome-java entirely.

Thanks for any insight.
Mat

--
Mat Booth
--
devel mailing list
devel@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/devel
 
Old 03-15-2010, 11:43 AM
Alexander Kurtakov
 
Default Java Bindings for libnotify

> On Monday 15 March 2010, Mat Booth wrote:
> Hi all,
>
> I can't find the Java bindings for libnotify -- I thought they would
> be in libgnome-java, but I guess not.
>
> So a couple of questions for the Gnome Desktop team:
>
> And are there plans to package java-gnome?
Hi Mat,
I'm not in the Gnome Desktop team but:
There have been several attempts to package java-gnome. Latest one is pending
review https://bugzilla.redhat.com/show_bug.cgi?id=551587 .
Previous one is https://bugzilla.redhat.com/show_bug.cgi?id=438452 .
I think that this is long enough period it hasn't received any attention so
just go on review it and get it included in fedora.


>
> If not and I were to package it myself, should java-gnome obsolete
> libgnome-java?
According to the rhbz#438452 there shouldn't be any conflicts between the old
one and java-gnome but if there is nothing in Fedora that requires libgnome-
java and doesn't work with the new java-gnome we should obsolete it.

Alex

>
> >From the website I get the impression that java-gnome supersedes
>
> libgnome-java entirely.
>
> Thanks for any insight.
> Mat
--
devel mailing list
devel@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/devel
 
Old 03-15-2010, 12:03 PM
Matěj Cepl
 
Default Java Bindings for libnotify

Dne 15.3.2010 13:43, Alexander Kurtakov napsal(a):
> According to the rhbz#438452 there shouldn't be any conflicts between the old
> one and java-gnome but if there is nothing in Fedora that requires libgnome-
> java and doesn't work with the new java-gnome we should obsolete it.

java-gnome 2.* used to be packaged even officially by a Red Hat employee
as a part of Frysk project. Since then Frysk has been abandoned (or
whatever is its current official status) and I believe nobody seriously
touched any java-gnome stuff at all, and nobody seems to require it.

Matěj

--
http://www.ceplovi.cz/matej/, Jabber: mcepl<at>ceplovi.cz
GPG Finger: 89EF 4BC6 288A BF43 1BAB 25C3 E09F EF25 D964 84AC

He uses statistics as a drunken man uses lamp-posts... for
support, rather than illumination.
-- Andrew Lang

--
devel mailing list
devel@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/devel
 
Old 03-15-2010, 02:25 PM
Mat Booth
 
Default Java Bindings for libnotify

On 15 March 2010 12:43, Alexander Kurtakov <akurtako@redhat.com> wrote:
>> On Monday 15 March 2010, Mat Booth wrote:
>> Hi all,
>>
>> I can't find the Java bindings for libnotify -- I thought they would
>> be in libgnome-java, but I guess not.
>>
>> So a couple of questions for the Gnome Desktop team:
>>
>> And are there plans to package java-gnome?
> Hi Mat,
> I'm not in the Gnome Desktop team but:
> There have been several attempts to package java-gnome. Latest one is pending
> review https://bugzilla.redhat.com/show_bug.cgi?id=551587 .
> Previous one is https://bugzilla.redhat.com/show_bug.cgi?id=438452 .
> I think that this is long enough period it hasn't received any attention so
> just go on review it and get it included in fedora.
>
>

Thanks for the links Alex. The ticket blocks FE-NEEDSPONSOR, so I will
need a promotion first. I have asked on the ticket if he is still
interested in continuing the review.


>>
>> If not and I were to package it myself, should java-gnome obsolete
>> libgnome-java?
> According to the rhbz#438452 there shouldn't be any conflicts between the old
> one and java-gnome but if there is nothing in Fedora that requires libgnome-
> java and doesn't work with the new java-gnome we should obsolete it.
>
> Alex
>


As Matěj points out, it would seem that Frysk still needs it.

I would would very much like to use java-gnome's libnotify API for a
proprietary app and this got me thinking, why isn't OpenJDK's
java.awt.SystemTray and java.awt.TrayIcon API implemented using
libnotify?

I don't mean to be rude to whoever wrote the current
java.awt.SystemTray and java.awt.TrayIcon implementations for X, but
it isn't at all integrated into the default desktop's look and feel
and presumably looks just as bad in KDE.

--
Mat Booth
--
devel mailing list
devel@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/devel
 
Old 03-15-2010, 02:33 PM
H. Gumar
 
Default Java Bindings for libnotify

frysk is long dead (and who was using it anyway ?), frysk developers
are working on gdb/Archer now.
http://sources.redhat.com/frysk/
I suggest that both frysk and old gnome java wrappers to be dropped
from packages collection.


H.
--
devel mailing list
devel@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/devel
 

Thread Tools




All times are GMT. The time now is 04:02 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org